View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006126ParaView(No Category)public2007-12-05 10:352009-05-13 13:59
ReporterDavid Karelitz 
Assigned ToBurlen 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.4Fixed in Version3.4 
Summary0006126: (MARS-normal) CTH reader does not handle missing files gracefully
DescriptionIf the CTH reader attempts to read a dataset that's missing a file (when running in parallel), the user is not given any error besides a cryptic vtkInformation error, and the server promptly dies at that point as well.

The missing file error is reported in the server output, but that doesn't seem to make it to the client.

It would be nice if the missing file error was reported back to the client, and if the server did not crash when it encountered a missing file.
TagsNo tags attached.
Project
Topic Name
Type
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0013342)
Burlen (developer)
2008-09-08 09:09

Could not duplicate. Tried with cth-small by removing file 2(-np 2), and with cth-med by removing file 19(-np 4). Both times data loaded, with missing regions. Looks like someone else may have fixed.
(0013355)
Burlen (developer)
2008-09-08 12:52

See note.
(0013495)
Alan Scott (manager)
2008-09-17 17:08

Tested with dave's cth-small. Deleted file 1. Worked like a champ. Tested client/server, 6 servers.

- Issue History
Date Modified Username Field Change
2007-12-05 10:35 David Karelitz New Issue
2008-03-07 07:56 Berk Geveci Target Version => MARS
2008-03-07 08:03 Berk Geveci Category => 3.4
2008-04-08 15:27 Ken Moreland Status backlog => tabled
2008-04-08 15:27 Ken Moreland Assigned To => Berk Geveci
2008-06-03 10:57 Utkarsh Ayachit Assigned To Berk Geveci => Burlen
2008-06-03 10:57 Utkarsh Ayachit Assigned To Burlen => Berk Geveci
2008-07-24 13:45 Utkarsh Ayachit Assigned To Berk Geveci => Burlen
2008-09-08 09:09 Burlen Note Added: 0013342
2008-09-08 12:52 Burlen Status tabled => @80@
2008-09-08 12:52 Burlen Resolution open => fixed
2008-09-08 12:52 Burlen Note Added: 0013355
2008-09-17 17:08 Alan Scott Status @80@ => closed
2008-09-17 17:08 Alan Scott Note Added: 0013495
2009-05-13 13:58 Utkarsh Ayachit Target Version MARS => 3.4
2009-05-13 13:59 Utkarsh Ayachit Fixed in Version => 3.4
2011-06-16 13:10 Zack Galbreath Category => (No Category)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker